# DataExchange
TKXSBase
Interface

# Interface_NodeOfReaderLib Class Reference

`#include <Interface_NodeOfReaderLib.hxx>`

## Public Member Functions

Standard_EXPORT | Interface_NodeOfReaderLib ()
Standard_EXPORT void | AddNode (const Handle(Interface_GlobalNodeOfReaderLib)&anode)
Standard_EXPORT const Handle_Interface_ReaderModule & | Module () const
Standard_EXPORT const Handle_Interface_Protocol & | Protocol () const
Standard_EXPORT const Handle_Interface_NodeOfReaderLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_GlobalNodeOfReaderLib | thenode
Handle_Interface_NodeOfReaderLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT Interface_NodeOfReaderLib::Interface_NodeOfReaderLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_NodeOfReaderLib::AddNode | ( | const Handle(Interface_GlobalNodeOfReaderLib)& | anode | ) |

Standard_EXPORT const Interface_NodeOfReaderLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_Interface_ReaderModule& Interface_NodeOfReaderLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_Interface_NodeOfReaderLib& Interface_NodeOfReaderLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_Interface_Protocol& Interface_NodeOfReaderLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_Interface_NodeOfReaderLib Interface_NodeOfReaderLib::thenext `[private]`

Handle_Interface_GlobalNodeOfReaderLib Interface_NodeOfReaderLib::thenode `[private]`

The documentation for this class was generated from the following file:

- Interface_NodeOfReaderLib.hxx